Module jdk.jdi
Package com.sun.jdi.connect.spi

# Class TransportService.ListenKey

java.lang.Object
com.sun.jdi.connect.spi.TransportService.ListenKey

Enclosing class:
  TransportService

    public abstract static class TransportService.ListenKey
    extends Object

A listen key.

A `TransportService` may listen on multiple, yet different, addresses at the same time. To uniquely identify each `listener` a listen key is created each time that `startListening` is called. The listen key is used in calls to the `accept` method to accept inbound connections to that listener. A listen key is valid until it is used as an argument to `stopListening` to stop the transport service from listening on an address.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ListenKey()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`abstract String` | `address()` | Returns a string representation of the listen key.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ListenKey

public ListenKey()

## Method Details

### address

public abstract String address()
Returns a string representation of the listen key.